Bug 37110 - Build fails when source tree is read-only
Summary: Build fails when source tree is read-only
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Build (show other bugs)
Version: 2.0-HEAD
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate, PatchAvailable
Depends on:
Blocks:
 
Reported: 2005-10-17 05:02 UTC by Matt
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments
A minor change to Makefile.in in srclib/pcre (380 bytes, patch)
2008-01-28 17:47 UTC, Dan Blick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt 2005-10-17 05:02:00 UTC
Note: this is a bug in 2.0.55 but that option wasn't available on the bugzilla form.

I usually build projects with the source as read-only, and use a separate
directory for building. But httpd 2.0.55 tries to create a file in the source
tree . The error message output by 'make' was:
    /bin/sh: line 1: /var/src/httpd-2.0.55/srclib/pcre/chartables.c: No such
file or directory

Before that it had just done a large command with redirection to chartables.c .

My configure line was:
    ../../src/httpd-2.0.55/configure --enable-so --enable-deflate --enable-ssl
--enable-speling --enable-rewrite 

I could work around the problem by setting srclib/pcre in the source tree to be
writable by the user doing the building.
Comment 1 Dan Blick 2008-01-28 17:47:49 UTC
Created attachment 21440 [details]
A minor change to Makefile.in in srclib/pcre

This problem can be fixed by removing the "$(srcdir)/" prefix for chartables.c
from Makefile.in in srclib/pcre
Comment 2 Wim Lewis 2012-05-22 17:44:04 UTC
This seems superficially similar to #34535, but concerns a different set of files.
Comment 3 William A. Rowe Jr. 2018-11-07 21:09:11 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.